@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Seed Requests</div>

                <div class="card-body">
                    <table class="table table-stripped table-bordered" data-toggle="table" data-search="true">
                        <thead>
                            <tr>
                                <th>Action</th>
                                <th>Created At</th>
                                <th>Status</th>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>Email</th>
                                <th>Phone Number</th>
                                <th>Enter Full Address</th>
                                <th>City</th>
                                <th>Province</th>
                                <th>Postal Code</th>
                                <th>Seed Name</th>
                                <th>Type</th>
                                <th>Quantity(g)</th>
                                <th>Acceptable Quantity(g)</th>
                                <th>Notes</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($requests as $req)
                            <tr>
                                <td><a class="btn btn-primary btn-sm mb-2" href="{{ route('seed.requests.edit', $req->id) }}" onclick="return confirm('Are you sure you want to edit this item?');"><i class="fa fa-pencil"></i></a><a class="btn btn-danger btn-sm" onclick="return confirm('Are you sure you want to delete this item?');" href="{{ route('seed.requests.delete', $req->id) }}"><i class="fa fa-trash"></i></a></td>
                                <td>{{ $req->created_at }}</td>
                                <td>{{ $req->status }}</td>
                                <td>{{ $req->first_name }}</td>
                                <td>{{ $req->last_name }}</td>
                                <td>{{ $req->email }}</td>
                                <td>{{ $req->phone_number }}</td>
                                <td>{{ $req->house_number }}</td>
                               
                                <td>{{ $req->city }}</td>
                                <td>{{ $req->province }}</td>
                                <td>{{ $req->zip_code }}</td>
                                <td>{{ $req->seed_name }}</td>
                                <td>{{ $req->type }}</td>
                                <td>{{ $req->quantity }}</td>
                                <td>{{ $req->acceptable_amount }}</td>
                                <td>{{ $req->notes }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
