@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Seeds</div>
                <div class="card-body">
                    <form method="post" action="{{ route('seed.update', $seed->id) }}" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="user_id" id="user_id" value="{{ auth()->user()->id }}">
                        <div class="form-group row">
                            <label for="common_name" class="col-sm-4 col-form-label">Seed Image</label>
                            <div class="col-sm-8">
                                <input type="file" class="form-control" name="seed_file" id="seed_file">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="common_name" class="col-sm-4 col-form-label">Seed Catalogue</label>
                            <div class="col-sm-8">
                                <select class="form-control" name="seed_family" id="seed_family">
                                    <option>Select Seed Catalogue</option>
                                    <option @if($seed->seed_family == 'Trees') selected @endif>Trees</option>
                                    <option @if($seed->seed_family == 'Shrubs') selected @endif>Shrubs</option>
                                    <option @if($seed->seed_family == 'Herbs') selected @endif>Herbs</option>
                                    <option @if($seed->seed_family == 'Forbs') selected @endif>Forbs</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="common_name" class="col-sm-4 col-form-label">Common Name</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="common_name" id="common_name" placeholder="Enter common name" value="{{ $seed->common_name }}" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="scientific_name" class="col-sm-4 col-form-label">Scientific Name</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="scientific_name" id="scientific_name" placeholder="Enter common name" value="{{ $seed->scientific_name }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="date_collected" class="col-sm-4 col-form-label">Date Collected</label>
                            <div class="col-sm-8">
                                <input type="date" class="form-control" name="date_collected" id="date_collected" value="{{ $seed->date_collected }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="date_received" class="col-sm-4 col-form-label">Date Received</label>
                            <div class="col-sm-8">
                                <input type="date" class="form-control" name="date_received" id="date_received"  value="{{ $seed->date_received }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="harvesting_location" class="col-sm-4 col-form-label">Harvest Location</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="harvesting_location" id="harvesting_location" placeholder="Enter Harvest Location"  value="{{ $seed->harvesting_location }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="germination_code" class="col-sm-4 col-form-label">Germination Code</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="germination_code" id="germination_code" placeholder="Enter Germination Code"  value="{{ $seed->germination_code }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="weight" class="col-sm-4 col-form-label">Weight(g)</label>
                            <div class="col-sm-8">
                                <input type="text"  class="form-control" name="weight" id="weight" placeholder="Enter Weight"  value="{{ $seed->weight }}" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="germination_rate" class="col-sm-4 col-form-label">Germination Rate</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="germination_rate" id="germination_rate" placeholder="Enter Germination Rate"  value="{{ $seed->germination_rate }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="sun_exposure" class="col-sm-4 col-form-label">Sun Exposure</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="sun_exposure" id="sun_exposure" placeholder="Enter Sun Exposure"  value="{{ $seed->sun_exposure }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="soil_moisture" class="col-sm-4 col-form-label">Soil Moisture</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="soil_moisture" id="soil_moisture" placeholder="Enter Soil Moisture"  value="{{ $seed->soil_moisture }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="bloom_time" class="col-sm-4 col-form-label">Bloom Time</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="bloom_time" id="bloom_time" placeholder="Enter Bloom Time"  value="{{ $seed->bloom_time }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="bloom_colour" class="col-sm-4 col-form-label">Bloom Color</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="bloom_colour" id="bloom_colour" placeholder="Enter Bloom Color"  value="{{ $seed->bloom_colour }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="seed_collector_name" class="col-sm-4 col-form-label">Seed Collector Name</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="seed_collector_name" id="seed_collector_name" placeholder="Enter Seed Collector Name"  value="{{ $seed->seed_collector_name }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="seed_collector_contact_info" class="col-sm-4 col-form-label">Seed Collector Contact Info</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="seed_collector_contact_info" id="seed_collector_contact_info" placeholder="Enter Seed Collector Contact Info"  value="{{ $seed->seed_collector_contact_info }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="seed_collector_certification_license_no" class="col-sm-4 col-form-label">Seed Collector Certification License No.</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="seed_collector_certification_license_no" id="seed_collector_certification_license_no" placeholder="Enter Seed Collector Certification License No."  value="{{ $seed->seed_collector_certification_license_no }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="notes" class="col-sm-4 col-form-label">Description</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="notes" id="notes" placeholder="Enter common name"  value="{{ $seed->notes }}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col col-4 mx-auto">
                                <button type="submit" class="btn btn-success" name="register">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
