@extends('layouts.app')
@section('styles')
<style type="text/css">
thead, tbody tr {
      display:table;
      width: 2000px;
      table-layout:fixed;
  }
  thead {
      width: calc( 2000px - 1em )
  } 
</style>
@stop
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Seeds</div>
                <div class="card-body">
                    <a href="{{ route('seed.create') }}" class="btn btn-success float-right mb-3">Add Seed</a>
                    <a href="{{ route('seed.other.donations') }}" class="btn btn-success float-right mb-3 mr-3 ml-3">Add Newly Donated Seed</a>
                    <div class="table-responsive">
                    <table class="table table-stripped table-bordered" data-toggle="table" data-search="true">
                        <thead>
                            <tr>
                                <th>Action</th>
                                <th>Seed Image</th>
                                <th>Seed ID</th>
                                <th>Created Date</th>
                                <th>Seed Catalogue</th>
                                <th>Common Name</th>
                                <th>Scientific Name</th>
                                <th>Date Collected</th>
                                <th>Date Received</th>
                                <th>Harvest Location</th>
                                <th>Germination Code</th>
                                <th>Weight(g)</th>
                                <th>Germination Rate</th>
                                <th>Sun Exposure</th>
                                <th>Soil Moisture</th>
                                <th>Bloom Time</th>
                                <th>Bloom Colour</th>
                                <th>Seed Collector Name</th>
                                <th>Seed Collector Contact Info</th>
                                <th>Seed Collector Certification License No</th>
                                <th>Notes</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($seeds as $req)
                            <tr>
                                <td>
                                    <a href="{{ route('seed.edit', $req->id) }}" class="btn btn-primary mb-2 btn-sm"><i class="fa fa-pencil"></i></a> 
                                    <a onclick="return confirm('Are you sure you want to delete this seed?');" href="{{ route('seed.delete', $req->id) }}" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                                </td>
                                <td><img style="width:100%;" src="{{ asset('assets/images/seeds') }}/{{$req->seed_file }}"></td>
                                <td>{{ $req->seed_id }}</td>
                                <td>{{ $req->created_at }}</td>
                                <td>{{ $req->seed_family }}</td>
                                <td>{{ $req->common_name }}</td>
                                <td>{{ $req->scientific_name }}</td>
                                <td>{{ $req->date_collected }}</td>
                                <td>{{ $req->date_received }}</td>
                                <td>{{ $req->harvesting_location }}</td>
                                <td>{{ $req->germination_code }}</td>
                                <td>{{ $req->weight }}</td>
                                <td>{{ $req->germination_rate }}</td>
                                <td>{{ $req->sun_exposure }}</td>
                                <td>{{ $req->soil_moisture }}</td>
                                <td>{{ $req->bloom_time }}</td>
                                <td>{{ $req->bloom_colour }}</td>
                                <td>{{ $req->seed_collector_name }}</td>
                                <td>{{ $req->seed_collector_contact_info }}</td>
                                <td>{{ $req->seed_collector_certification_license_no }}</td>
                                <td>{{ $req->notes }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
