<?php

use Illuminate\Support\Facades\Route;
use App\Models\Seeds;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('site');

Auth::routes();
Route::post('register', 'Auth\RegisterController@register');
Route::post('/seeds-api-list', 'HomeController@seedsAPIList')->name('seedsAPIList');
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/trees', 'HomeController@trees')->name('trees');
Route::get('/shrubs', 'HomeController@shrubs')->name('shrubs');
Route::get('/herbs', 'HomeController@herbs')->name('herbs');
Route::get('/forbs', 'HomeController@forbs')->name('forbs');
Route::get('/others', 'HomeController@others')->name('others');
Route::get('/aboutus', 'HomeController@aboutus')->name('aboutus');
Route::get('/contactus', 'HomeController@contactus')->name('contactus');
Route::post('/contactus', 'HomeController@contactSendMail')->name('contact.sendmail');
Route::get('/terms-and-conditions', 'HomeController@terms')->name('terms-and-conditions');

Route::group(['middleware' => ['auth']], function () {
    Route::get('/seed-donation', 'HomeController@seedDonation')->name('seed.donation');
    Route::post('/seed-donation', 'HomeController@storeSeedDonation')->name('store.seed.donation');
    Route::get('/seed-request', 'HomeController@seedRequest')->name('seed.request');
    Route::get('/seed-requests', 'HomeController@seedRequests')->name('seed.requests');
    Route::get('/seed-requests/edit/{id}', 'HomeController@editSeedRequest')->name('seed.requests.edit');
    Route::post('/seed-requests/update/{id}', 'HomeController@updateSeedRequest')->name('seed.requests.update');
    Route::get('/seed-requests/delete/{id}', 'HomeController@deleteSeedRequest')->name('seed.requests.delete');
    Route::get('/seed-donation/edit/{id}', 'HomeController@editSeedDonation')->name('seed.donation.edit');
    Route::post('/seed-donation/update/{id}', 'HomeController@updateSeedDonation')->name('seed.donation.update');
    Route::get('/seed-donation/delete/{id}', 'HomeController@deleteSeedDonation')->name('seed.donation.delete');
    Route::get('/seed-request/{id}', 'HomeController@seedRequestView')->name('seed.request.view');
    Route::get('/seed-donations', 'HomeController@seedDonations')->name('seed.donations');
    Route::get('/other-seed-donations', 'HomeController@otherSeedDonations')->name('seed.other.donations');
    Route::get('/seed-donation/{id}', 'HomeController@seedDonationView')->name('seed.donation.view');
    Route::get('/users-list', 'HomeController@usersList')->name('users.list');
    Route::get('/users/edit/{id}', 'HomeController@usersEdit')->name('users.edit');
    Route::get('/users/delete/{id}', 'HomeController@usersDelete')->name('users.delete');
    Route::post('/users/update/{id}', 'HomeController@usersUpdate')->name('users.update');
    Route::get('/seeds-list', 'HomeController@seedsList')->name('seeds.list');
    Route::get('/seed/create', 'HomeController@createSeed')->name('seed.create');
    Route::get('/seed-details/{id}', 'HomeController@seedDetails')->name('seed.details');
    Route::post('/seed/store', 'HomeController@seedStore')->name('seed.store');
    Route::get('/seed/edit/{id}', 'HomeController@editSeed')->name('seed.edit');
    Route::get('/seed/delete/{id}', 'HomeController@deleteSeed')->name('seed.delete');
    Route::post('/seed/update/{id}', 'HomeController@seedUpdate')->name('seed.update');
    Route::post('/seed-request', 'HomeController@storeSeedRequest')->name('store.seed.request');
    Route::post('/get-seeds', 'HomeController@getSeeds')->name('get.seeds');
});
